package be.iminds.ilabt.jfed.testing.base;

import be.iminds.ilabt.jfed.lowlevel.api.test.ConnectivityTestAggregateManager2;
import be.iminds.ilabt.jfed.lowlevel.api.test.ConnectivityTestAggregateManager3;
import be.iminds.ilabt.jfed.lowlevel.api.test.TestAggregateManager2;
import be.iminds.ilabt.jfed.lowlevel.api.test.TestAggregateManager3;
import be.iminds.ilabt.jfed.testing.shared.AutomatedTestExternalExecutableLocations;
import be.iminds.ilabt.jfed.testing.shared.AutomatedTestExternalExecutableLocationsImpl;
import com.google.inject.AbstractModule;

import javax.inject.Singleton;

/**
 * AutomatedTestModule
 */
public class AutomatedTestModule extends AbstractModule {

    @Override
    protected void configure() {
        //is any of this needed?
        bind(AutomatedTestRunner.class);
        bind(ApiTestFactory.class).in(Singleton.class);
        AutomatedTestExternalExecutableLocations automatedTestExternalExecutableLocations =
                new AutomatedTestExternalExecutableLocationsImpl();
        try {
            automatedTestExternalExecutableLocations.requireExe("ansible-playbook");
        } catch (AutomatedTestExternalExecutableLocations.ExecutableNotFoundException e) {
            throw new RuntimeException("Required exe not found", e);
        }
        bind(AutomatedTestExternalExecutableLocations.class)
                .toInstance(automatedTestExternalExecutableLocations);
    }
}
